//---------------------------------------------------------------------------------
//							    SPI Driver
//				   Write By Mohammad mazarei @ 1390/7/2
//					Email: mohammad.mazarei@gmail.com
//					 Publish In IranMicro.ir
//---------------------------------------------------------------------------------

#include <at91sam7x256.h>
#include <lib_at91sam7x256.h>
#include "spi.h"
#include "tdelay.h"

#define BORD_CLK	48000000
int main(void){
char i=0;

SPI_Configure_PIO_MAKS(SPI0_PORT,SPI0_PIO_MASK); // Enable the SPI pins required by the application

SPI_Configure(AT91C_BASE_SPI0,	// SPI0 TO USE
				AT91C_ID_SPI0,	// SPI0 PMC ID TO Active Power
				SPI_MASTER|		// SPI SET TO MASTER MODE
				SPI_ONE_DEVIDE| // SPI Connct TO 1Device {NO MOLTI DEVICE}
				SPI_MOD_FDIS);	// Disable Mode Fault Detection


SPI_ConfigureNPCS(AT91C_BASE_SPI0,
					0,				// Config Chanal 0
					SPI_MODE_0|		// L ACRIVE CLOCK & POS EDGE
					SPI_8_BIT|		// 8 Bit Data strim
					SPI_SCBR(1000000,BORD_CLK)|	// Clock Of SPI SET To 1 MHZ
					SPI_DLYBCT(1000,BORD_CLK));	// Delay In Send Strim 1us

SPI_Enable(AT91C_BASE_SPI0); // Enable SPI0	
init_delay();

while(1){
 	SPI_Write(AT91C_BASE_SPI0,0,i++);
	delay_ms(250);
}


}





